using System;
using System.IO;

var dir = new DirectoryInfo("../var/data");

var files = dir.GetFiles();

//var quantity_files = dir.GetFiles().Length;

string resultFilePath = "../var/result/data.txt";
try
{
    // Создаем новый файл или перезаписываем существующий
    using (StreamWriter writer = new StreamWriter(resultFilePath, false))
    {
        foreach (var file in files)
        {
            // Записываем в файл количество символов в имени каждого файла
            writer.WriteLine(file.Name.Length);
        }
    }
    Console.WriteLine("Файл успешно создан: " + resultFilePath);
}
catch (Exception ex)
{
    Console.WriteLine("Произошла ошибка: " + ex.Message);
}
